Debian Bug report logs - #603157
RFP: ttf-ubuntu-font-family -- Ubuntu Font Family, sans-serif typeface hinted for clarity

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Gürkan Sengün <gurkan@phys.ethz.ch>

Date: Thu, 11 Nov 2010 14:09:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603157; Package wnpp. (Thu, 11 Nov 2010 14:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gürkan Sengün <gurkan@phys.ethz.ch>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Thu, 11 Nov 2010 14:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gürkan Sengün <gurkan@phys.ethz.ch>
To: submit@bugs.debian.org
Subject: ITP: ttf-ubuntu-font-family -- Ubuntu Font Family, sans-serif typeface hinted for clarity
Date: Thu, 11 Nov 2010 15:04:53 +0100
Package: wnpp
Severity: wishlist

* Package name    : ttf-ubuntu-font-family
  Version         : 0.69+ufl-0ubuntu1
  Upstream Author : Dalton Maag
* URL             : http://font.ubuntu.com/
* License         : Ubuntu Font License 1.0, see Link below
  Description     : Ubuntu Font Family, sans-serif typeface hinted for clarity
The Ubuntu Font Family are a set of matching new libre/open fonts in development 
during 2010--2011. The development is being funded by Canonical Ltd on behalf the 
wider Free Software community and the Ubuntu project. The technical font design 
work and implementation is being undertaken by Dalton Maag.
Both the final font Truetype/OpenType files and the design files used to produce 
the font family are distributed under an open licence and you are expressly 
encouraged to experiment, modify, share and improve.


http://changelogs.ubuntu.com/changelogs/pool/main/u/ubuntu-font-family-sources/ubuntu-font-family-sources_0.69+ufl-0ubuntu1/ttf-ubuntu-font-family.copyright





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603157; Package wnpp. (Thu, 11 Nov 2010 14:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 11 Nov 2010 14:33:07 GMT) Full text and rfc822 format available.

Message #10 received at 603157@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: 603157@bugs.debian.org
Subject: Re: Bug#603157: ITP: ttf-ubuntu-font-family -- Ubuntu Font Family, sans-serif typeface hinted for clarity
Date: Thu, 11 Nov 2010 15:30:12 +0100
Hi!

Am 11.11.2010 15:04, schrieb Gürkan Sengün:

> * Package name    : ttf-ubuntu-font-family
[..]
>   Description     : Ubuntu Font Family, sans-serif typeface hinted for > clarity
> The Ubuntu Font Family are a set of matching new libre/open fonts in
> development during 2010--2011. The development is being funded by
> Canonical Ltd on behalf the wider Free Software community and the Ubuntu
> project. The technical font design work and implementation is being
> undertaken by Dalton Maag.
> Both the final font Truetype/OpenType files and the design files used to
> produce the font family are distributed under an open licence and you
> are expressly encouraged to experiment, modify, share and improve.

Could you please provide a package description actually describing why a
user would be interested in installing this package?

Best regards,
  Alexander




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603157; Package wnpp. (Tue, 11 Jan 2011 15:33:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gürkan Sengün <gurkan@phys.ethz.ch>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 11 Jan 2011 15:33:12 GMT) Full text and rfc822 format available.

Message #15 received at 603157@bugs.debian.org (full text, mbox):

From: Gürkan Sengün <gurkan@phys.ethz.ch>
To: 603157@bugs.debian.org
Subject: ITP: ttf-ubuntu-font-family -- Ubuntu Font Family, sans-serif typeface hinted for clarity
Date: Tue, 11 Jan 2011 16:24:32 +0100
The font description has been updated, a newer version was released too.
It's all ready, looking for a sponsor.

http://gnu.ethz.ch/debian/ttf-ubuntu-font-family/ubuntu-font-family-sources_0.70.1-0debian1.dsc

Gurkan




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 11 Feb 2011 07:06:05 GMT) Full text and rfc822 format available.

Message sent on to Gürkan Sengün <gurkan@phys.ethz.ch>:
Bug#603157. (Tue, 26 Apr 2011 13:48:03 GMT) Full text and rfc822 format available.

Message #20 received at 603157-submitter@bugs.debian.org (full text, mbox):

From: David Bremner <bremner@debian.org>
To: 603157-submitter@bugs.debian.org
Cc: debian@paul.sladen.org
Subject: does not build from source
Date: Tue, 26 Apr 2011 09:56:03 -0300
According to sources/SOURCES.txt, the .ttf files are not the preferred
form of modification, but rather the .vfb files in sources/. The same
file suggests that the .ttf files are rebuildable from source only with
the help of non-free tools. 

It seems to me that the situation is quite similar to that with free
.swf files not rebuildable without non-free tools. The concensus there
seems to be that such files are suitable for contrib, but not main.

See the following thread for a recent discussion.

    http://lists.debian.org/debian-devel/2010/08/msg00103.htm





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603157; Package wnpp. (Wed, 27 Apr 2011 19:16:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 27 Apr 2011 19:16:15 GMT) Full text and rfc822 format available.

Message #25 received at 603157@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: 603157@bugs.debian.org
Cc: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Subject: ttf-ubuntu-font needs to be buildable with free tools to stay in main
Date: Wed, 27 Apr 2011 15:14:05 -0400
[Message part 1 (text/plain, inline)]
Re: http://bugs.debian.org/603157

Thanks to everyone who is taking the issue of the freeness of font
packages seriously.

bremner's link about building with non-free tools should probably be the
thread rooted at:

  https://lists.debian.org/debian-devel/2010/08/msg00082.html

Fonts are a crucial piece of debian's offering.

If the preferred form for modification of the font can only be built by
non-free tools, it's my understanding that the font would not be
acceptable in main; it would only be OK in contrib (or of course
non-free, if the license of the font itself does not meet the DFSG,
which is a separate issue).

Regards,

	--dkg

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603157; Package wnpp. (Fri, 29 Apr 2011 16:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joerg Jaspert <joerg@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 29 Apr 2011 16:09:03 GMT) Full text and rfc822 format available.

Message #30 received at 603157@bugs.debian.org (full text, mbox):

From: Joerg Jaspert <joerg@debian.org>
To: Paul Sladen <ubuntu@paul.sladen.org>
Cc: Debian FTP master <ftpmaster@debian.org>, debian-devel@lists.debian.org, 603157@bugs.debian.org
Subject: Re: Ubuntu Font Licence 1.0
Date: Fri, 29 Apr 2011 17:57:31 +0200
[Message part 1 (text/plain, inline)]
[ Note that we decided to include the debian-devel list in our reply, as
  this issue seems to have already found a wider audience, which we want
  to invite to this discussion too. Please stay ontopic and away from
  ranting about Ubuntu/Canonical/Whatever, gains nothing for anyone, but
  help to resolve the issues at hand. Thanks.
]

On 12462 March 1977, Paul Sladen wrote:

> Hello all, I've see the following message to pkg-font;  (at the moment
> I'm on a quest for information and not seeking to take a viewpoint):

>   "[Pkg-fonts-devel] ubuntu-font-family-sources_0.70.1-1_amd64.changes REJECTED"
>   http://lists.alioth.debian.org/pipermail/pkg-fonts-devel/2011-April/006515.html

Yes. Turns out there was a slight misunderstanding on our side.  It was
believed that a prod message containing an explanation had already been
sent out before the reject happened, so the reject was more concise than
it should have been.

> Juliank has forwarded the above to a bug report:
>   "Naming restrictions in UFL considered non-free by Debian"
>   https://bugs.launchpad.net/ubuntu-font-licence/+bug/769874

Heck, thats large already. Oh fun.

> and tried to guess/interpret.  The email above notes a "discussion in
> the FTP Team".  Would you/FTP master be able to provide a summary of
> the that discussion and add it to the bug report (LP: #769874)---this
> would make it easier to pass on to right people and flag up that
> there's a serious issue if there is one.

"To post a comment you must log in." - Sorry, but no, thanks. If there
would be a useful mail interface given (asking on IRC got one, but it
needs registered mail addresses which just sucks), sure, but we are not
jumping through extra hoops here. Please pass this mail to wherever it
should end up additionally instead.

> If it's helpful, there's a diff against the SIL OFL at:
>   http://font.ubuntu.com/ufl/ofl-1.1-ufl-1.0.diff.html
> and there is a FAQ about the interim status/changed from the SIL OFL
> at (if for TL;DR, there are 9 bullet points at end):
>   http://font.ubuntu.com/ufl/FAQ.html

> Some people on #debian-devel have raised versioning interaction with:
>   http://www.debian.org/social_contract.html#guidelines (4)
>   "The license may require derived works to carry a different name
>   or version number from the original software."

> For clarity, I don't think the aim in developing an open/libre font is
> to distribute it under a non-DFSG licence!  Thus, it would be useful
> to be take an FTP master summary back, to the people who can further
> deal with it and to be able to hold up the individual points
> specifically.

Ok, well, lets try.

The definitions include 
----------------------
"Substantially Changed" refers to Modified Versions which can be easily
identified as dissimilar to the Font Software by users of the Font
Software comparing the Original Version with the Modified Version.
----------------------

What constitutes "easily identified as dissimilar"? Is it necessary to
check all characters in the font and if so, what check is meant? Is it
different if the md5sum of the font file is different? Is there a set of
special characters to check?
We actually doubt there can be an agreement when a font is dissimilar
for users, not with that text.  Typographers would likely see something
as dissimilar where most users (us included) would see no difference at
all.  Taken alone this may not be a show-stopper, but the definition is
used later on in such a way that the lack of clarity becomes a major
issue.

§1 seems ok, except for some curiousity about the definition of "easily
viewed by the user"? Is a "strings font.ttf" easy? Or does it need to be
some kind of ttf viewer app? Does one need to make sure there is one for
all the platforms one intends to distribute? That might be a FAQ entry
somewhere, but that curious part just had to ask it.  This is not a
reject reason though.

§3 sounds ok to us.

§4 in itself is free, even though it does take away even the authors
possibility to dual-license a work, should one chose to use this
license. Harsh, but nothing keeping it out of the archive.

So, the interesting part is §2, which is why it is listed last. And as a
short summary: We think that aspects of this section make the license
unsuitable for works in Debian main.

Taking §2b first.  This subsection is in itself ok, DFSG 4 does allow to
require a different name for a distribution of modified version,
although "similar names" seems to be a bit of a gray area.

The major issues arise in subsections §2a and c.  These two subsections
include between them an invariant section. This type of invariance is
not something covered by DFSG 4. DFSG 4 tries to allow a copyright
holder to say "If you change foo, you must not call it foo", but does
not have similar provisions to allow a copyright holder to say things
such as "You must not call foo by any other name" or "If you change foo,
the name you must use is bar".  Especially noting the parenthetical
statement at the end of DFSG 4, we don't believe it would be in the
spirit or intent of the DFSG to make the leap that would be required to
say that §2a and c are allowed by this clause.  The vote[0] taken by the
Debian project relating to the GFDL also reinforces the project's
dislike for invariance in main.  It is also unclear as to whether "font
name" refers to the name of the font file on disk, the package name,
some form of internal font name or a combination of these.  If the
reference is to the name of the font file or the internal font name,
this becomes a restriction on how you can modify the software, which
also fails to comply with DFSG 3.

Additionally §2c states exactly how you must change the name to follow
the license, which will cause issues if you want to combine multiple
fonts licensed using this license into a new derivative work, possibly
even making this impossible.  This on its own is not a reject reason.

[0] http://www.debian.org/vote/2006/vote_001

Note that, while researching (basically reading IRC and bug logs) we
found claims that the preferred form of modification of those fonts are
in a format that is currently not able to be processed with tools
available in main. Remember that main needs to stay self contained, and
that it needs to be able to build itself. What we can read in the
current font tarball about the tools used does not seem to ensure this,
as it points to some "Free-as-in-beer" programs to process the source,
as well as some Commercial tool. And the build process description also
uses those tools. If the fonts get released under a free license, that
would put them into contrib only, not main. (Yes, we know that there are
fonts in Debian that only ship .ttf files. To the best of our knowledge
they are modified using ttf editors and ttf editors are available in
Debian main. This font family here is pretty clearly not modified using
ttf editors and therefore this doesn't apply here).

-- 
bye, Joerg
That's it! You people have stood in my way long enough. I'm going to
clown college!
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603157; Package wnpp. (Tue, 25 Oct 2011 02:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremy Bicha <jbicha@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 25 Oct 2011 02:15:03 GMT) Full text and rfc822 format available.

Message #35 received at 603157@bugs.debian.org (full text, mbox):

From: Jeremy Bicha <jbicha@ubuntu.com>
To: 603157@bugs.debian.org
Cc: debian@paul.sladen.org
Subject: Re: Bug#603157: ITP: ttf-ubuntu-font-family
Date: Mon, 24 Oct 2011 22:10:13 -0400
Gürkan, would you be willing to at least submit this to the contrib repository?

Thanks,
Jeremy Bicha




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603157; Package wnpp. (Wed, 23 Nov 2011 12:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gürkan Sengün <gurkan@phys.ethz.ch>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 23 Nov 2011 12:51:19 GMT) Full text and rfc822 format available.

Message #40 received at 603157@bugs.debian.org (full text, mbox):

From: Gürkan Sengün <gurkan@phys.ethz.ch>
To: 603157@bugs.debian.org, jbicha@ubuntu.com, debian@paul.sladen.org
Subject: Re: Bug#603157: ITP: ttf-ubuntu-font-family
Date: Wed, 23 Nov 2011 13:24:01 +0100
Hello Jeremy Bicha

Sure I could. But then it's contrib only... what do you think are the chances for
Ubuntu/Canonical to make the font really free? They (Canonical, Ubuntu) after all 
mention the differences between free software and other software. And I sort of
have the feeling they would be interested to see it in main, not just in "contrib".

Thanks,
Gurkan




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603157; Package wnpp. (Wed, 23 Nov 2011 14:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Sladen <debian@paul.sladen.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 23 Nov 2011 14:51:03 GMT) Full text and rfc822 format available.

Message #45 received at 603157@bugs.debian.org (full text, mbox):

From: Paul Sladen <debian@paul.sladen.org>
To: 603157@bugs.debian.org
Cc: Jeremy Bicha <jbicha@ubuntu.com>, Gürkan Sengün <gurkan@phys.ethz.ch>
Subject: Re: Bug#603157: ITP: ttf-ubuntu-font-family
Date: Wed, 23 Nov 2011 14:27:24 +0000 (GMT)
On Wed, 23 Nov 2011, [ISO-8859-1] Gürkan Sengün wrote:
> would be interested to see it in main, not just in "contrib".

Everyone would like to see the Ubuntu Font Family in 'main'.
At this point in time, 'main' is sadly not an option because:

  (a) UFF comes with complete source [not just .ttfs], and

  (b) UFF requires a build-system that is not wholly in 'main'.

> then it's contrib only...

Uploading to 'contrib' would be the logical destination.  I don't
think there's anything blocking that?  I'm happy to /help/ via
pkg-fonts—but because I've been working closely on the Ubuntu Font
Family and I am presented employed by Canonical I don't want to be
seen to be actively forcing anything.  From a Debian-perspective I
absolutely want to see it in Debian and moving up the repos whenever
possible.

> to make the font really free?

The full source code for the typeface is there, and everyone is free
to modify, share, remix and improve it without any requirement to ask
permission first or the possibility to be denied.

(It is perfectly okay for the FTP masters to have found this to be
non-DFSG free, that is the FTP masters' viewpoint).

> what do you think are the chances for Ubuntu/Canonical

At the point that a better libre font licence comes along, the Ubuntu
Font Family can be relicensed.  All of the necessary legal permissions
to quickly perform such a relicensing are (intentionally) in-place:

  http://font.ubuntu.com/ufl/FAQ.html

I think it's been consistently stated, that the Ubuntu Font
Licence-1.0 is being used as an *interim licence* solution.  There are
likely to be further revisions of the UFL, and also to other libre
font licences, as the community and understanding of open font
production expands.

> They (Canonical, Ubuntu) after all mention the differences between
> free software and other software.

Font Software licensing has some unique requirements not found in
other general-purpose software-, or content-licences (where GPL and
CC-BY-SA are already clearly the preferred). There is a necessarity to
allow embeding of the font in documents, without causing those
documents to come under the same licensing conditions as the font.

A font that cannot be /used/ by target users is not much use.  
Various of the available font licences try to cover the font-specific
criteria in several ways:

  http://font.ubuntu.com/ufl/FAQ.html#embedding

For instance, the GPL+Font Exception approaches this via:

  "As a special exception, if you create a document … this font does
   not by itself cause the resulting document to be covered by the GNU
   General Public License"

The second aspect is that a font-name field is a "well-known
identifier/key" linking to a particular set of metrics (this is
partially why we have the Liberation Fonts that Red Hat kindly
sponsored).  For instance, the SIL OFL approaches this via a
"Reserved Name" method:

  "No Modified Version of the Font Software may use the Reserved Font
   Name(s) unless explicit written permission is granted"

There was a keen desire to a find a way to incorporate both of the
above aspects, and others, into a leen "single-page" licence, in a way
that did have the burden on seeking prior permission.  Nor was likely
to be overly scary to existing font foundries.

As of 18 months ago, no out-of-the-box, font-specific, widely-used
licence was available. Canonical set about sponsoring various work in
the area.  The 'Ubuntu' in the UFL name is there to discourage its use
until it's been debugged.

The list of open bugs/comments for the UFL-1.0 is visible at:

  https://launchpad.net/ubuntu-font-licence/+bugs

The UFL-1.0 can't be changed, but work and advice is greatly sought
for feeding into an UFL-1.1 and onwards; or functional equivalent.

In the mean-time, the UFL-1.0 came about by looking for the closest
starting point (SIL OFL 1.1) and making the minimum number of changes.  
For convenience, a colourful diff is available at:

  http://font.ubuntu.com/ufl/ofl-1.1-ufl-1.0.diff.html

Yes, future relicensing is not only an option, but an intention.

Yes, the meantime, I think 'contrib' would be a wondeful home.

	-Paul


PS. I had another chat with Zack in Orlando about other methods of
meeting a permissive, well-known name/Reserved Name criteria;
Zack has been working issues around the DFSG and trademark
compatibility, which may open up some options:

  http://www.debian-news.net/2011/11/12/bits-from-the-dpl-for-october-2011/
  http://lists.debian.org/debian-project/2011/10/msg00028.html






Changed Bug title to 'RFP: ttf-ubuntu-font-family -- Ubuntu Font Family, sans-serif typeface hinted for clarity' from 'ITP: ttf-ubuntu-font-family -- Ubuntu Font Family, sans-serif typeface hinted for clarity' Request was from G��rkan Seng��n <gurkan@phys.ethz.ch> to control@bugs.debian.org. (Fri, 02 Dec 2011 11:51:26 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Raphael Geissert <geissert@debian.org> to control@bugs.debian.org. (Wed, 11 Jan 2012 20:33:08 GMT) Full text and rfc822 format available.

Merged 603157 657161. Request was from Samuel Hym <samuel.hym@gmail.com> to control@bugs.debian.org. (Tue, 24 Jan 2012 19:06:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603157; Package wnpp. (Fri, 20 Apr 2012 03:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremy Bicha <jbicha@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 20 Apr 2012 03:06:03 GMT) Full text and rfc822 format available.

Message #56 received at 603157@bugs.debian.org (full text, mbox):

From: Jeremy Bicha <jbicha@ubuntu.com>
To: 603157@bugs.debian.org
Cc: Gürkan Sengün <gurkan@phys.ethz.ch>, Paul Sladen <debian@paul.sladen.org>
Subject: Re: Bug#603157: ITP: ttf-ubuntu-font-family
Date: Thu, 19 Apr 2012 23:02:02 -0400
Just as a follow up, could we get fonts-ubuntu uploaded into contrib?
We could see about what's needed for moving it into main later once
the appropriate requirements are met and the right people are happy.

I believe fonts-ubuntu is the correct name for this package, following
Debian's relatively new http://wiki.debian.org/Fonts/PackagingPolicy

My understanding of what Paul stated a few months ago is that
Canonical/Ubuntu would be just happy to get it into Debian however's
best, but he didn't want to force for its inclusion if Debian didn't
want it.

Thanks,
Jeremy Bicha




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603157; Package wnpp. (Fri, 20 Apr 2012 11:27:46 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gürkan Sengün <gurkan@phys.ethz.ch>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 20 Apr 2012 11:27:47 GMT) Full text and rfc822 format available.

Message #61 received at 603157@bugs.debian.org (full text, mbox):

From: Gürkan Sengün <gurkan@phys.ethz.ch>
To: Jeremy Bicha <jbicha@ubuntu.com>
Cc: 603157@bugs.debian.org, Paul Sladen <debian@paul.sladen.org>
Subject: Re: Bug#603157: ITP: ttf-ubuntu-font-family
Date: Fri, 20 Apr 2012 12:41:04 +0200
Hello Jeremy

If you find a sponsor, I will do the updates to the package and provide a new
.dsc file for upload into contrib.

Yours,
Gurkan

On 04/20/12 05:02, Jeremy Bicha wrote:
> Just as a follow up, could we get fonts-ubuntu uploaded into contrib?
> We could see about what's needed for moving it into main later once
> the appropriate requirements are met and the right people are happy.
>
> I believe fonts-ubuntu is the correct name for this package, following
> Debian's relatively new http://wiki.debian.org/Fonts/PackagingPolicy
>
> My understanding of what Paul stated a few months ago is that
> Canonical/Ubuntu would be just happy to get it into Debian however's
> best, but he didn't want to force for its inclusion if Debian didn't
> want it.
>
> Thanks,
> Jeremy Bicha
>





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603157; Package wnpp. (Wed, 30 May 2012 08:42:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@deb.at>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 30 May 2012 08:42:24 GMT) Full text and rfc822 format available.

Message #66 received at 603157@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@deb.at>
To: Gürkan Sengün <gurkan@phys.ethz.ch>, 603157@bugs.debian.org, Jeremy Bicha <jbicha@ubuntu.com>
Cc: Paul Sladen <debian@paul.sladen.org>
Subject: Re: Bug#603157: ITP: ttf-ubuntu-font-family
Date: Wed, 30 May 2012 10:36:17 +0200
    Dear Gürkan and Jeremy,

 I once again looked for whether the ubuntu font is already in Debian,
and stumbled upon thiss bugreport to find that it still hasn't been
done ...

* Gürkan Sengün <gurkan@phys.ethz.ch> [2012-04-20 12:41:04 CEST]:
> If you find a sponsor, I will do the updates to the package and provide a new
> .dsc file for upload into contrib.

 Actually, uploading it to contrib would get it rejected, at least from
what I read from Jörg Jaspert in message #30 to the bug, stating that
the license is considered to violate DFSG 4.

 Please upload it to non-free and be done with it,
Rhonda
-- 
Fühlst du dich mutlos, fass endlich Mut, los      |
Fühlst du dich hilflos, geh raus und hilf, los    | Wir sind Helden
Fühlst du dich machtlos, geh raus und mach, los   | 23.55: Alles auf Anfang
Fühlst du dich haltlos, such Halt und lass los    |




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603157; Package wnpp. (Wed, 30 May 2012 12:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gürkan Sengün <gurkan@phys.ethz.ch>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 30 May 2012 12:33:08 GMT) Full text and rfc822 format available.

Message #71 received at 603157@bugs.debian.org (full text, mbox):

From: Gürkan Sengün <gurkan@phys.ethz.ch>
To: Gerfried Fuchs <rhonda@deb.at>
Cc: 603157@bugs.debian.org, Jeremy Bicha <jbicha@ubuntu.com>, Paul Sladen <debian@paul.sladen.org>
Subject: Re: Bug#603157: ITP: ttf-ubuntu-font-family
Date: Wed, 30 May 2012 14:14:22 +0200
Dear Gerfried

>   I once again looked for whether the ubuntu font is already in Debian,
> and stumbled upon thiss bugreport to find that it still hasn't been
> done ...
>
> * Gürkan Sengün<gurkan@phys.ethz.ch>  [2012-04-20 12:41:04 CEST]:
>> If you find a sponsor, I will do the updates to the package and provide a new
>> .dsc file for upload into contrib.
>
>   Actually, uploading it to contrib would get it rejected, at least from
> what I read from Jörg Jaspert in message #30 to the bug, stating that
> the license is considered to violate DFSG 4.
>
>   Please upload it to non-free and be done with it,

Go ahead (I am unable to), it's ready here:
http://sid.ethz.ch/debian/ttf-ubuntu-font-family/ubuntu-font-family-sources_0.80-1.dsc

Gurkan




Disconnected #657161 from all other report(s). Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Tue, 12 Jun 2012 06:03:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603157; Package wnpp. (Thu, 13 Mar 2014 15:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Rudloff <contact@rudloff.pro>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 13 Mar 2014 15:03:04 GMT) Full text and rfc822 format available.

Message #78 received at 603157@bugs.debian.org (full text, mbox):

From: Pierre Rudloff <contact@rudloff.pro>
To: 603157@bugs.debian.org
Subject: RFP: ttf-ubuntu-font-family -- Ubuntu Font Family, sans-serif typeface hinted for clarity
Date: Thu, 13 Mar 2014 15:49:28 +0100
[Message part 1 (text/plain, inline)]
Hello,

Is there any news on this ?

FWIW, I have uploaded the package to /mentors/
<http://mentors.debian.net/package/ubuntu-font-family-sources>.

Regards,
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 20:43:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.